Package org.drinkless.tdlib

# Class TdApi.NetworkStatisticsEntryFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.NetworkStatisticsEntry
org.drinkless.tdlib.TdApi.NetworkStatisticsEntryFile

Enclosing class:
  `TdApi`

public static class TdApi.NetworkStatisticsEntryFile extends TdApi.NetworkStatisticsEntry
Contains information about the total amount of data that was used to send and receive files.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.NetworkStatisticsEntry

  `TdApi.NetworkStatisticsEntry.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FileType`
  `fileType`
  Type of the file the data is part of; pass null if the data isn't related to files.
  `TdApi.NetworkType`
  `networkType`
  Type of the network the data was sent through.
  `long`
  `receivedBytes`
  Total number of bytes received.
  `long`
  `sentBytes`
  Total number of bytes sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkStatisticsEntryFile()`
  Contains information about the total amount of data that was used to send and receive files.
  `NetworkStatisticsEntryFile(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)`
  Contains information about the total amount of data that was used to send and receive files.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileType

    public TdApi.FileType fileType
    Type of the file the data is part of; pass null if the data isn't related to files.

  - ### networkType

    public TdApi.NetworkType networkType
    Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.

  - ### sentBytes

    public long sentBytes
    Total number of bytes sent.

  - ### receivedBytes

    public long receivedBytes
    Total number of bytes received.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NetworkStatisticsEntryFile

    public NetworkStatisticsEntryFile()
    Contains information about the total amount of data that was used to send and receive files.

  - ### NetworkStatisticsEntryFile

    public NetworkStatisticsEntryFile(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)
    Contains information about the total amount of data that was used to send and receive files.
    Parameters:
      `fileType` - Type of the file the data is part of; pass null if the data isn't related to files.
      `networkType` - Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.
      `sentBytes` - Total number of bytes sent.
      `receivedBytes` - Total number of bytes received.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.NetworkStatisticsEntry`
    Returns:
      this.CONSTRUCTOR